diff -uNr ilcinstall.ORIG/ilcsoft/geant4.py ilcinstall/ilcsoft/geant4.py
--- ilcinstall.ORIG/ilcsoft/geant4.py	2018-05-22 04:49:46.000000000 +0900
+++ ilcinstall/ilcsoft/geant4.py	2020-01-29 18:49:11.000000000 +0900
@@ -166,7 +166,7 @@
             if self.envcmake.has_key( "XERCESC_ROOT_DIR" ):
                 import platform
                 if platform.architecture()[0] == '64bit':
-                    self.envpath["LD_LIBRARY_PATH"].append( self.envcmake[ "XERCESC_ROOT_DIR" ] + "/lib64" )
+                    self.envpath["LD_LIBRARY_PATH"].append( self.envcmake[ "XERCESC_ROOT_DIR" ] + "/lib" )
                 else:
                     self.envpath["LD_LIBRARY_PATH"].append( self.envcmake[ "XERCESC_ROOT_DIR" ] + "/lib" )
 
diff -uNr ilcinstall.ORIG/ilcsoft/mysql.py ilcinstall/ilcsoft/mysql.py
--- ilcinstall.ORIG/ilcsoft/mysql.py	2018-05-22 04:49:46.000000000 +0900
+++ ilcinstall/ilcsoft/mysql.py	2020-01-29 18:49:11.000000000 +0900
@@ -37,7 +37,7 @@
         self.env["MYSQL"] = "$MYSQL_HOME"
         self.env["MYSQL_PATH"] = "$MYSQL_HOME" # needed for mokka
         if platform.architecture()[0] == '64bit':
-            self.env["MYSQL_LIBDIR"] = "$MYSQL_HOME/lib64/mysql" # needed for mokka
+            self.env["MYSQL_LIBDIR"] = "$MYSQL_HOME/lib/mysql" # needed for mokka
 
         if self.installPath != "/usr":
             self.envpath["PATH"].append( "$MYSQL_HOME/bin" )
diff -uNr ilcinstall.ORIG/releases/v02-00/release-osx.cfg ilcinstall/releases/v02-00/release-osx.cfg
--- ilcinstall.ORIG/releases/v02-00/release-osx.cfg	2020-01-29 18:49:11.000000000 +0900
+++ ilcinstall/releases/v02-00/release-osx.cfg	2020-01-30 20:29:23.000000000 +0900
@@ -0,0 +1,359 @@
+##############################################################################
+#
+# Configuration file for installing ILC Software release v01-14
+#
+# This cfg file assumes the base-level tools from release_v01-14-base.cfg
+# are already installed and available in your system (base-level tools are the
+# tools which are set as 'ilcsoft.link' at the end of this file
+#
+# If you do not have this tools available on your system you can install them
+# with the configuration file release_v01-14-base.cfg or alternatively
+# install all software with release_v01-14-scratch.cfg (please check
+# release_v01-14-base.cfg for more details)
+#
+# Please do not forget to modify the directories in this cfg file
+# according to your system !!
+#
+# Author: F. Gaede, J. Engels, DESY
+# Date: Jun 30, 2010
+#
+##############################################################################
+
+import os, sys
+
+# read package versions from external file
+path_where_this_file_lives = os.path.dirname( config_file )
+versions_file = os.path.join( path_where_this_file_lives, "release-versions.py" )
+execfile( versions_file )
+
+print "Do we install nightlies? ", nightlies
+print "value for use_cpp11: ", use_cpp11
+
+
+print "value for use_cpp11 for nightly builds: ", use_cpp11
+
+# installation directory
+if not 'ilcsoft_install_dir' in dir():
+    if not 'ilcsoft_install_prefix' in dir():
+        # default install prefix
+        ilcsoft_install_prefix = "$HOME/ilcsoft"
+
+ilcsoft_install_dir = os.path.join( ilcsoft_install_prefix, ilcsoft_release )
+ilcsoft = ILCSoft( ilcsoft_install_dir )
+
+# configuration for nightlies
+#if (nightlies==True and use_cpp11==False):
+if (nightlies==True):
+	if (use_cpp11==True):
+      		ilcsoft_install_dir = ilcsoft = ILCSoft("/scratch/nbuilds/gcc48/"+date_iso8601)
+		ilcsoft.nightlyBuild=True
+		ilcsoft.nightlyTargets=['NightlyStart', 'NightlyConfigure', 'NightlyBuild', 'install', 'NightlyTest', 'NightlySubmit']
+   	else:
+      		ilcsoft_install_dir = ilcsoft = ILCSoft("/scratch/nbuilds/"+date_iso8601)
+		ilcsoft.nightlyBuild=True
+		ilcsoft.nightlyTargets=['NightlyStart', 'NightlyConfigure', 'NightlyBuild', 'install', 'NightlyTest', 'NightlySubmit']
+
+
+#print "ilcsoft install dir %s " %ilcsoft_install_dir
+
+# python variable for referring the ILC Home directory
+# used to link or use already installed packages (SL5)
+# --- set in release-versions.py ---
+#ilcPath = "/afs/desy.de/group/it/ilcsoft/"
+#ilcPath = '/afs/desy.de/project/ilcsoft/sw/i386_gcc41_sl5/'
+ilcPath = '/Users/proj/soft/ilcsoft/'
+if not 'ilcPath' in dir():
+    "raise ilcPath not set"
+
+ilcPath = os.path.normpath( ilcPath ) + '/' # make sure there it ends with /
+
+# global options
+ilcsoft.env["MAKEOPTS"]="-j4"
+ilcsoft.env["CXX"]="g++"
+ilcsoft.env["CC"]="gcc"
+#
+#ilcsoft.envcmake['CMAKE_CXX_FLAGS']= CMAKE_CXX_FLAGS
+ilcsoft.envcmake['USE_CXX11']=use_cpp11
+ilcsoft.envcmake["Boost_NO_BOOST_CMAKE"] = 'ON'
+#
+
+# ----- build and install documentation -------------
+#ilcsoft.envcmake["INSTALL_DOC"]="ON"
+ilcsoft.envcmake["INSTALL_DOC"]="OFF"
+
+
+ilcsoft.envcmake["CMAKE_BUILD_TYPE"]= "Debug"
+#ilcsoft.envcmake["CMAKE_BUILD_TYPE"]= "RelWithDebInfo"
+#ilcsoft.envcmake["CMAKE_BUILD_TYPE"]= "Release"
+
+ilcsoft.downloadType = "GitHub"
+#ilcsoft.downloadType = "svn-desy"
+
+# additional system pathes for FIND_LIBRARY, FIND_PATH
+#-----------------------------------------------
+#ilcsoft.env["CMAKE_LIBRARY_PATH"]="/usr/lib/gcc/i386-redhat-linux/3.4.3:/another/path/lib"
+#ilcsoft.env["CMAKE_INCLUDE_PATH"]="/usr/include/c++/3.4.3:/another/path/include"
+#-----------------------------------------------
+
+
+###########################################################
+
+ilcsoft.install( LCCD( LCCD_version ))
+
+ilcsoft.install( Marlin( Marlin_version ))
+#ilcsoft.module("Marlin").envcmake["MARLIN_GUI"]='ON'
+ilcsoft.module("Marlin").envcmake["MARLIN_GUI"]='OFF'
+
+ilcsoft.install( MarlinPKG( "MarlinDD4hep", MarlinDD4hep_version ))
+ilcsoft.module("MarlinDD4hep").addDependency( [ 'Marlin', 'DD4hep', 'Root', 'DDKalTest'] )
+
+ilcsoft.install( MarlinPKG( "DDMarlinPandora", DDMarlinPandora_version ))
+ilcsoft.module("DDMarlinPandora").envcmake["CMAKE_CXX_FLAGS"]='-Wno-error'
+ilcsoft.module("DDMarlinPandora").addDependency( [ 'Marlin', 'MarlinUtil', 'DD4hep', 'ROOT', 'PandoraPFANew', 'MarlinTrk'] )
+ilcsoft.module("DDMarlinPandora").envcmake["CMAKE_CXX_FLAGS"]='-Wno-error'
+
+
+ilcsoft.install( MarlinUtil( MarlinUtil_version ))
+
+
+#----------  standard reco packages
+
+ilcsoft.install( MarlinReco( MarlinReco_version )) 
+ilcsoft.module("MarlinReco").envcmake["MARLINRECO_FORTRAN"]='OFF'  
+
+ilcsoft.install( PandoraAnalysis( PandoraAnalysis_version ))
+
+ilcsoft.install( PandoraPFANew( PandoraPFANew_version ))
+
+ilcsoft.module("PandoraPFANew").envcmake["PANDORA_MONITORING"]='ON'
+ilcsoft.module("PandoraPFANew").envcmake["LC_PANDORA_CONTENT"]='ON'
+ilcsoft.module("PandoraPFANew").envcmake["EXAMPLE_PANDORA_CONTENT"]='ON'
+ilcsoft.module("PandoraPFANew").envcmake["ROOT_DIR"]='${ROOTSYS}/etc/cmake'
+
+
+ilcsoft.install( LCFIVertex( LCFIVertex_version ))
+ilcsoft.module( "LCFIVertex" ).envcmake["BOOST_ROOT"] = Boost_path
+
+ilcsoft.install( CEDViewer( CEDViewer_version )) 
+
+ilcsoft.install( Overlay( Overlay_version ))  
+
+ilcsoft.install( MarlinPKG( "MarlinFastJet", MarlinFastJet_version ))
+ilcsoft.module("MarlinFastJet").addDependency( [ 'LCIO', 'Marlin', 'FastJet'] )
+
+ilcsoft.install( MarlinPKG( "LCTuple", LCTuple_version ))
+ilcsoft.module("LCTuple").addDependency( [ 'LCIO', 'Marlin', 'ROOT'] )
+
+ilcsoft.install( MarlinPKG( "MarlinKinfit", MarlinKinfit_version ))
+ilcsoft.module("MarlinKinfit").addDependency( [ 'LCIO', 'GEAR', 'GSL', 'Marlin'] )
+
+ilcsoft.install( MarlinTrk( MarlinTrk_version ))
+ilcsoft.install( KiTrack( KiTrack_version ))
+ilcsoft.install( KiTrackMarlin( KiTrackMarlin_version ))
+
+ilcsoft.install( MarlinPKG( "MarlinTrkProcessors", MarlinTrkProcessors_version ))
+ilcsoft.module("MarlinTrkProcessors").addDependency( [ 'LCIO', 'ROOT', 'GSL', 'Marlin', 'MarlinUtil', 'KalTest', 'KalDet', 'MarlinTrk', 'KiTrack', 'KiTrackMarlin'] )
+
+ilcsoft.install( MarlinPKG( "MarlinKinfitProcessors", MarlinKinfitProcessors_version ))
+ilcsoft.module("MarlinKinfitProcessors").addDependency( [ 'LCIO', 'GEAR', 'GSL', 'Marlin'] )
+
+ilcsoft.install( MarlinPKG( "ILDPerformance", ILDPerformance_version ))
+ilcsoft.module("ILDPerformance").addDependency( [ 'Marlin', 'MarlinUtil', 'ROOT'] )
+
+#-- for convenience also include the HEAD version of ILDconfig
+#ilcsoft.install( ConfigPKG( "ILDConfig", ILDConfig_version ))
+#ilcsoft.module("ILDConfig").addDependency( [ 'Marlin', 'MarlinUtil', 'ROOT'] )
+
+ilcsoft.install( MarlinPKG( "Clupatra", Clupatra_version ))
+ilcsoft.module("Clupatra").addDependency( [ 'LCIO', 'ROOT', 'RAIDA', 'Marlin', 'MarlinUtil', 'KalTest', 'MarlinTrk' ] )
+
+ilcsoft.install( MarlinPKG( "Physsim", Physsim_version ))
+ilcsoft.module("Physsim").addDependency( [ 'LCIO', 'ROOT', 'Marlin' ] )
+
+
+ilcsoft.install( MarlinPKG( "LCFIPlus", LCFIPlus_version ))
+ilcsoft.module("LCFIPlus").download.type="GitHub"
+ilcsoft.module("LCFIPlus").download.gituser="lcfiplus"
+ilcsoft.module("LCFIPlus").download.gitrepo="LCFIPlus"
+ilcsoft.module("LCFIPlus").addDependency( [ 'LCIO', 'GEAR', 'ROOT', 'Marlin', 'MarlinUtil', 'LCFIVertex'] )
+
+
+ilcsoft.install( MarlinPKG( "FCalClusterer", FCalClusterer_version ))
+ilcsoft.module("FCalClusterer").download.supportedTypes = [ "GitHub" ]
+ilcsoft.module("FCalClusterer").download.gituser = 'FCALSW'
+ilcsoft.module("FCalClusterer").download.gitrepo = 'FCalClusterer'
+ilcsoft.module("FCalClusterer").addDependency( [ 'DD4hep', 'GSL' ] )
+ilcsoft.module("FCalClusterer").addDependency( [ 'LCIO', 'ROOT', 'Marlin' ] )
+
+
+ilcsoft.install( MarlinPKG( "ForwardTracking", ForwardTracking_version ))
+ilcsoft.module("ForwardTracking").addDependency( [ 'LCIO', 'GEAR', 'ROOT', 'GSL', 'Marlin', 'MarlinUtil', 'MarlinTrk'] )
+
+
+ilcsoft.install( MarlinPKG( "ConformalTracking", ConformalTracking_version ))
+ilcsoft.module("ConformalTracking").addDependency( [ 'LCIO', 'ROOT', 'Marlin', 'MarlinTrk'] )
+
+
+ilcsoft.install( MarlinPKG( "LICH", LICH_version ))
+ilcsoft.module("LICH").download.type="GitHub"
+ilcsoft.module("LICH").download.gituser="danerdaner"
+ilcsoft.module("LICH").download.gitrepo="LICH"
+ilcsoft.module("LICH").addDependency( [ 'LCIO', 'ROOT', 'Marlin', 'MarlinUtil' ] )
+
+
+#---------test beam packages 
+
+#ilcsoft.install( Eutelescope( Eutelescope_version ))
+#ilcsoft.module("Eutelescope").env['EUDAQ_VERSION']='trunk'
+#ilcsoft.module("Eutelescope").env['MILLEPEDEII_VERSION']='trunk'
+
+ilcsoft.install( PathFinder( PathFinder_version ))
+ilcsoft.module("PathFinder").download.type="svn"
+
+ilcsoft.install( MarlinTPC( MarlinTPC_version ))
+ilcsoft.module("MarlinTPC").download.type="svn"
+ilcsoft.module("MarlinTPC").envcmake['INSTALL_DOC']='OFF'
+
+ilcsoft.install( BBQ( BBQ_version ))
+ilcsoft.module("BBQ").download.type="svn"
+
+#fg: needs porting to ROOT6 (dictionary!)
+#ilcsoft.install( Druid( Druid_version ))
+
+ilcsoft.install( Garlic( Garlic_version ))
+
+
+
+ilcsoft.install( RAIDA( RAIDA_version ))
+
+ilcsoft.install( KalTest( KalTest_version ))
+ilcsoft.install( KalDet( KalDet_version ))
+
+ilcsoft.install( GBL ( GBL_version ) )
+
+#ilcsoft.link( XercesC( ilcPath + "xercesc/" + XercesC_version ))
+#ilcsoft.link( XercesC( "/opt/xercesc/" + XercesC_version ))
+ilcsoft.use( XercesC( "/opt/xercesc/" + XercesC_version ))
+
+
+# DD4hep
+ilcsoft.install( DD4hep( DD4hep_version )) 
+ilcsoft.module("DD4hep").envcmake["DD4HEP_USE_GEANT4"]=1
+ilcsoft.module("DD4hep").envcmake["DD4HEP_USE_LCIO"]=1
+ilcsoft.module("DD4hep").envcmake["DD4HEP_USE_XERCESC"]=1
+ilcsoft.module("DD4hep").envcmake["DD4HEP_USE_PYROOT"]=0
+ilcsoft.module("DD4hep").envcmake["DD4HEP_USE_GEAR"]=1
+ilcsoft.module("DD4hep").envcmake["DD4HEP_USE_BOOST"]=1
+ilcsoft.module("DD4hep").envcmake["BOOST_ROOT"] = Boost_path
+#ilcsoft.module("DD4hep").envcmake["ERCESC_LIBRARY"] = "/opt/xercesc/" + XercesC_version + "/lib/libxerces-c.dylib"
+if( use_cpp11 ):
+    ilcsoft.module("DD4hep").envcmake["DD4HEP_USE_CXX11"] = 'ON'
+
+
+ilcsoft.install( lcgeo( lcgeo_version )) 
+ilcsoft.module("lcgeo").envcmake["CMAKE_VERBOSE_MAKEFILE"]=0
+
+ilcsoft.install( aidaTT( aidaTT_version )) 
+ilcsoft.module("aidaTT").download.type="GitHub"
+ilcsoft.module("aidaTT").download.gituser="AIDASoft"
+ilcsoft.module("aidaTT").download.gitrepo="aidaTT"
+
+ilcsoft.install( DDKalTest( DDKalTest_version ))
+
+ilcsoft.install( DD4hepExamples ( DD4hepExamples_version ))
+ilcsoft.module("DD4hepExamples").envcmake["CMAKE_VERBOSE_MAKEFILE"]=0
+
+####################################################################
+#
+# the following tools are installed in afs:
+#
+# - for SL5 (32bit) under:
+#
+#     /afs/desy.de/project/ilcsoft/sw/i386_gcc41_sl5/
+#
+# - for SL5 (64bit) under:
+#
+#     /afs/desy.de/project/ilcsoft/sw/x86_64_gcc41_sl5
+#
+# they can be linked from there or need to be installed on your system
+#
+####################################################################
+
+
+#----- configs ------------------------------------------------------
+#ilcsoft.link( ConfigPKG( "StandardConfig", ilcPath + "StandardConfig/" + StandardConfig_version ) )
+#stdconf = ilcsoft.module( "StandardConfig")
+#stdconf.env["STANDARDCONFIG"]=stdconf.installPath
+#
+#ilcsoft.link( ConfigPKG( "MokkaDBConfig", ilcPath + "MokkaDBConfig/" + MokkaDBConfig_version ) ) 
+#mokkadbconf = ilcsoft.module( "MokkaDBConfig")
+#mokkadbconf.download.root = "ilctools"
+#mokkadbconf.envorder=["MOKKADBCONFIG"]
+#mokkadbconf.env["MOKKADBCONFIG"]=mokkadbconf.installPath
+#mokkadbconf.env["MOKKA_DUMP_FILE"]="$MOKKADBCONFIG/mokka-dbdump.sql.tgz"
+#mokkadbconf.envpath["PATH"].append( "$MOKKADBCONFIG/scripts" )
+#
+#ilcsoft.link( ConfigPKG( "LCFI_MokkaBasedNets", ilcPath + "LCFI_MokkaBasedNets/" + LCFI_MokkaBasedNets_version ) )
+#lcfinets=ilcsoft.module( "LCFI_MokkaBasedNets" )
+#lcfinets.download.root = "tagnet"
+#lcfinets.env["LCFIMOKKABASEDNETS"]=lcfinets.installPath
+#--------------------------------------------------------------------
+
+ilcsoft.link( CED( ilcPath + "CED/" + CED_version ))
+
+#ilcsoft.link( LCIO( ilcPath + "lcio/" + LCIO_version ))
+#ilcsoft.install( LCIO( LCIO_version ))
+ilcsoft.link( LCIO( "/opt/lcio/" + LCIO_version ))
+
+#----- this will build the optional ROOT dictionary for LCIO -----
+#------ set to OFF  if you don't want it
+if( use_cpp11 ):
+    ilcsoft.module("LCIO").envcmake['BUILD_ROOTDICT']='ON'
+#ilcsoft.module("LCIO").envcmake['INSTALL_DOC']='OFF'
+#ilcsoft.module("LCIO").envcmake['ROOT_HOME']='${ROOTSYS}'
+#ilcsoft.module("LCIO").envcmake["BUILD_WITH_DCAP"]="ON"
+# it is recommended to use the LD_PRELOAD mechanism for opening lcio files in dCache
+#ilcsoft.link( dcap( ilcPath + "dcap/" + dcap_version ))
+
+#ilcsoft.link( GEAR( ilcPath + "gear/" + GEAR_version ))
+ilcsoft.install( GEAR( GEAR_version ))
+ilcsoft.module("GEAR").envcmake['GEAR_TGEO']='ON'
+
+
+#ilcsoft.link( FastJet( ilcPath + "FastJet/" + FastJet_version ))
+ilcsoft.use( FastJet( "/opt/fastjet/" + FastJet_version ))
+
+#ilcsoft.link( ROOT( ilcPath + "root/" + ROOT_version ))
+ilcsoft.use( ROOT( "/opt/root/" + ROOT_version ))
+
+#ilcsoft.link( CLHEP( ilcPath + "CLHEP/" + CLHEP_version ))
+ilcsoft.use( CLHEP( "/opt/clhep/" + CLHEP_version ))
+#ilcsoft.link( GSL( ilcPath + "gsl/" + GSL_version ))
+ilcsoft.use( GSL( "/opt/osxws" ))
+#ilcsoft.link( QT( ilcPath + "QT/" + QT_version ))
+#ilcsoft.link( Geant4( ilcPath + "geant4/" + Geant4_version ))
+ilcsoft.use( Geant4( "/opt/g4/" + Geant4_version ))
+
+ilcsoft.link( CondDBMySQL( ilcPath + "CondDBMySQL/" + CondDBMySQL_version ))
+
+# mysql
+if 'MySQL_path' in dir():
+    ilcsoft.link( MySQL( MySQL_path ))
+
+# cmake
+#ilcsoft.use( CMake( ilcPath + "CMake/" + CMake_version ))
+ilcsoft.use( CMake( "/opt/osxws" ))
+
+ilcsoft.link( ILCUTIL( ilcPath + "ilcutil/" + ILCUTIL_version ))
+
+
+# use pe-installed boost
+if 'Boost_path' in dir():
+   ilcsoft.use( Boost( Boost_path ) )
+
+# use pe-installed eigen
+if 'Eigen_path' in dir():
+   ilcsoft.use( Eigen( Eigen_path ) )
+
+# end of configuration file
+
diff -uNr ilcinstall.ORIG/releases/v02-00/release-versions.py ilcinstall/releases/v02-00/release-versions.py
--- ilcinstall.ORIG/releases/v02-00/release-versions.py	2018-05-22 04:49:46.000000000 +0900
+++ ilcinstall/releases/v02-00/release-versions.py	2020-01-29 18:50:59.000000000 +0900
@@ -48,9 +48,10 @@
 # ===========================================================
 #
 
-ilcsoft_install_prefix = ilcsoft_afs_path[ arch ]
+#ilcsoft_install_prefix = ilcsoft_afs_path[ arch ]
 #ilcsoft_install_prefix = "/cvmfs/ilc.desy.de/sw/x86_64_gcc48_sl6/"
 #ilcsoft_install_prefix = "/scratch/ilcsoft/"
+ilcsoft_install_prefix = "/Users/proj/soft/ilcsoft/"
 
 # ----------------------------------------------------------------------------
 #--- the ilcsoft_release is now automatically appended in release-ilcsoft.cfg 
@@ -87,18 +88,22 @@
 # please adjust the path variables accordingly
 
 # ----- mysql --------------------------------------------------------
-MySQL_version = "5.0.45"
-MySQL_path = ilcPath + "/mysql/" + MySQL_version
+#MySQL_version = "5.0.45"
+MySQL_version = "5.7.22"
+#MySQL_path = ilcPath + "/mysql/" + MySQL_version
+MySQL_path = "/opt/osxws"
 
-if( ilcsoft_afs_path[ arch ].find('_ub') > 0 ):
-    MySQL_path = "/usr"
+#if( ilcsoft_afs_path[ arch ].find('_ub') > 0 ):
+#    MySQL_path = "/usr"
 
 
 #------ boost headers files ------------------------------------------
-Boost_path = ilcPath+"/../boost/1.58.0"
+#Boost_path = ilcPath+"/../boost/1.58.0"
+Boost_path = "/opt/osxws"
 
 #------ Eigen headers files ------------------------------------------
-Eigen_path =  ilcPath+"/../Eigen/3.2.9"
+#Eigen_path =  ilcPath+"/../Eigen/3.2.9"
+Eigen_path = "/opt/osxws"
 
 
 ##########################################################################################
@@ -111,24 +116,30 @@
 
 # ======================= PACKAGE VERSIONS ===================================
 
-Geant4_version =  "10.03.p02" 
-CLHEP_version =  "2.3.4.3"
+#Geant4_version =  "10.03.p02" 
+Geant4_version =  "10.06" 
+#CLHEP_version =  "2.3.4.3"
+CLHEP_version =  "2.4.1.3"
 
-ROOT_version = "6.08.06"
+#ROOT_version = "6.08.06"
+ROOT_version = "6.20.00"
 
-GSL_version = "2.1" 
+#GSL_version = "2.1" 
+GSL_version = "2.6" 
 
-QT_version = "4.7.4"
+#QT_version = "4.7.4"
 
-CMake_version = "3.6.3" 
+#CMake_version = "3.6.3" 
+CMake_version = "3.15.5"
 
-FastJet_version = "3.2.1"
-FastJetcontrib_version = "1.025"
+FastJet_version = "3.3.3"
+FastJetcontrib_version = "1.042"
 
 CED_version = "v01-09-02"
 # -------------------------------------------
 
-LCIO_version = "v02-12"
+#LCIO_version = "v02-12"
+LCIO_version = "v02-13-01"
 
 GEAR_version = "v01-08"
 
@@ -224,7 +235,8 @@
 
 
 # xerces-c (needed by geant4 for building gdml support - required by mokka)
-XERCESC_ROOT_DIR = ilcPath + "/xercesc/3.1.4"
+#XercesC_version = "3.1.4" 
+XercesC_version = "3.2.2" 
+XERCESC_ROOT_DIR = "/opt/xercesc/" + XercesC_version
 
-XercesC_version = "3.1.4" 
 
